Subject: bug#5809: 23.1.94; cross-reference by anchor yields in accurate position

From: Stefan Monnier <[email-masked]>
Date: Fri, 02 Apr 2010 14:01:56 -0400

>>> Here's another, perhaps better idea: how about if, instead of
>>> inserting breadcrumbs as text into the buffer, we put an overlay there
>>> with a display property whose value is the breadcrumbs as a string?
>>> This way, buffer positions are not affected at all.
>> That was my thought as well, but then you can't "click" on breadcrumbs
>> with the keyboard any more.
> You can't click with the keyboard on the navigation up/next/prev links
> in the header line too.  I have not seen any complaints on that.

IIUC there are keyboard shortcuts to go up/next/prev, whereas there
aren't keyboard shortcuts to go to one of the breadcrumbs (other than
the last one which is just "up").

This said, I agree that not being able to click on them with the
keyboard is not the end of the world.
IOW, using an after-string would probably be an OK compromise for 23.2
(better than dropping breadcrumbs altogether).

        Stefan